$kind: http-request
name: Add
url: "{{localhost}}providers"
method: POST
body:
  type: json
  content: |-
    {
        "name": "AfriCell Telecom",
        "country_id": "550e8400-e29b-41d4-a716-446655440000",
        "base_url": "https://api.africell.com",
        "description": "Leading mobile network provider",
        "contact_email": "support@africell.com",
        "contact_phone": "+256702771124",
        "credentials": [
            {
                "environment": "sandbox",
                "api_key": "sandbox_key_123",
                "api_secret": "sandbox_secret_456",
                "token_url": "https://sandbox.africell.com/oauth/token",
                "extra_config": {
                    "timeout": 30,
                    "retry_attempts": 3
                }
            },
            {
                "environment": "production",
                "api_key": "prod_key_789",
                "api_secret": "prod_secret_012",
                "token_url": "https://api.africell.com/oauth/token",
                "extra_config": {
                    "timeout": 10,
                    "retry_attempts": 1
                }
            }
        ]
    }
auth:
  type: bearer
  credentials:
    token: "{{token}}"
order: 546820231630
